Commit bdd4266e authored by Mark Olesen's avatar Mark Olesen

ENH: delay testing of FOAM_EXT_LIBBIN

- only test in the packages that actually require it.
  State as a requirement.

ENH: skip build of packages with known mingw issues

- primarily kahip and pt-scotch.
  Others may also have issues, but for these we tend to use system
  packages anyhow.

ENH: add '-force' option to various scripts

- overrides some _lazy_ build logic
parent 36f89097
...@@ -7,11 +7,10 @@ ...@@ -7,11 +7,10 @@
# \\/ M anipulation | # \\/ M anipulation |
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# Copyright (C) 2011 OpenFOAM Foundation # Copyright (C) 2011 OpenFOAM Foundation
# Copyright (C) 2016-2019 OpenCFD Ltd. # Copyright (C) 2016-2020 OpenCFD Ltd.
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# License # License
# This file is part of OpenFOAM, licensed under GNU General Public License # This file is part of OpenFOAM, distributed under GPL-3.0-or-later.
# <http://www.gnu.org/licenses/>.
# #
# Script # Script
# Allclean # Allclean
...@@ -35,10 +34,10 @@ usage() { ...@@ -35,10 +34,10 @@ usage() {
exec 1>&2 exec 1>&2
while [ "$#" -ge 1 ]; do echo "$1"; shift; done while [ "$#" -ge 1 ]; do echo "$1"; shift; done
cat<<USAGE cat<<USAGE
Usage: ${0##*/} [OPTION] [<platform> [ ... <platformN> ]] Usage: ${0##*/} [OPTION] [platform [ ... platformN]]
options: options:
-all remove all platforms directories. -all remove all platforms directories
-current clean the current platform ($WM_OPTIONS). -current clean the current platform ($WM_OPTIONS)
-help print the usage -help print the usage
Cleanup intermediate build directories. Cleanup intermediate build directories.
...@@ -50,10 +49,11 @@ USAGE ...@@ -50,10 +49,11 @@ USAGE
} }
# Print help message # Print help message
if [ "$1" = "-h" -o "$1" = "-help" ] case "$1" in
then (-h | -help*)
usage usage
fi ;;
esac
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
...@@ -124,7 +124,7 @@ fi ...@@ -124,7 +124,7 @@ fi
removePlatform() removePlatform()
{ {
local platform="$1" local platform="$1"
if [ -n "$platform" -a -d "platforms/$platform" ] if [ -n "$platform" ] && [ -d "platforms/$platform" ]
then then
echo echo
echo "Cleaning platform '$platform'" echo "Cleaning platform '$platform'"
......
...@@ -7,14 +7,13 @@ ...@@ -7,14 +7,13 @@
# \\/ M anipulation | # \\/ M anipulation |
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# Copyright (C) 2011-2016 OpenFOAM Foundation # Copyright (C) 2011-2016 OpenFOAM Foundation
# Copyright (C) 2016-2019 OpenCFD Ltd. # Copyright (C) 2016-2020 OpenCFD Ltd.
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# License # License
# This file is part of OpenFOAM, licensed under GNU General Public License # This file is part of OpenFOAM, distributed under GPL-3.0-or-later.
# <http://www.gnu.org/licenses/>.
# #
# Script # Script
# Allwmake # ThirdParty Allwmake
# #
# Description # Description
# Build script for ThirdParty applications/libraries # Build script for ThirdParty applications/libraries
...@@ -29,11 +28,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || { ...@@ -29,11 +28,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || {
echo " Check your OpenFOAM environment and installation" echo " Check your OpenFOAM environment and installation"
exit 1 exit 1
} }
[ -n "$FOAM_EXT_LIBBIN" ] || {
echo "Error (${0##*/}) : \$FOAM_EXT_LIBBIN not set for ThirdParty"
echo " Check your OpenFOAM environment and installation"
exit 1
}
. etc/tools/ThirdPartyFunctions . etc/tools/ThirdPartyFunctions
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler true # Compiler info + flags for CMake/configure exportCompiler true # Compiler info + flags for CMake/configure
...@@ -54,7 +48,7 @@ echo Build MPI libraries if required ...@@ -54,7 +48,7 @@ echo Build MPI libraries if required
echo " $MPI_ARCH_PATH" echo " $MPI_ARCH_PATH"
case "$WM_MPLIB" in case "$WM_MPLIB" in
(OPENMPI | MPICH) (OPENMPI | MPICH)
./make$WM_MPLIB -test "$MPI_ARCH_PATH" || ./make$WM_MPLIB ./make"$WM_MPLIB" -test "$MPI_ARCH_PATH" || ./make"$WM_MPLIB"
;; ;;
esac esac
...@@ -103,7 +97,7 @@ echo ...@@ -103,7 +97,7 @@ echo
echo ======================================== echo ========================================
if [ -n "$CGAL_ARCH_PATH" ] if [ -n "$CGAL_ARCH_PATH" ]
then then
echo "CGAL/boost" echo "cgal/boost"
./makeCGAL -test "$CGAL_ARCH_PATH" "$BOOST_ARCH_PATH" || \ ./makeCGAL -test "$CGAL_ARCH_PATH" "$BOOST_ARCH_PATH" || \
./makeCGAL || warnBuildIssues CGAL ./makeCGAL || warnBuildIssues CGAL
else else
......
...@@ -3,12 +3,13 @@ ...@@ -3,12 +3,13 @@
# ========= | # ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration | # \\ / O peration |
# \\ / A nd | Copyright (C) 2019 OpenCFD Ltd. # \\ / A nd | www.openfoam.com
# \\/ M anipulation | # \\/ M anipulation |
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# Copyright (C) 2019 OpenCFD Ltd.
#------------------------------------------------------------------------------
# License # License
# This file is part of OpenFOAM, licensed under GNU General Public License # This file is part of OpenFOAM, distributed under GPL-3.0-or-later.
# <http://www.gnu.org/licenses/>.
# #
# Script # Script
# testThirdPartyFunctions # testThirdPartyFunctions
......
...@@ -267,7 +267,7 @@ addMesaSupport() ...@@ -267,7 +267,7 @@ addMesaSupport()
return return
fi fi
if [ -d "$MESA_INCLUDE" -a -f "$MESA_LIBRARY" ] if [ -d "$MESA_INCLUDE" ] && [ -f "$MESA_LIBRARY" ]
then then
addCMakeVariable "VTK_OPENGL_HAS_OSMESA=ON" addCMakeVariable "VTK_OPENGL_HAS_OSMESA=ON"
addCMakeVariable "OSMESA_INCLUDE_DIR=$MESA_INCLUDE" addCMakeVariable "OSMESA_INCLUDE_DIR=$MESA_INCLUDE"
...@@ -479,7 +479,7 @@ INFO ...@@ -479,7 +479,7 @@ INFO
# Non-system installation of QT? # Non-system installation of QT?
case "$qtLib" in (/usr/lib | /usr/lib64) unset qtLib ;; esac case "$qtLib" in (/usr/lib | /usr/lib64) unset qtLib ;; esac
if [ "${qmake%/*}" != /usr/bin -a -d "$qtLib" ] if [ "${qmake%/*}" != /usr/bin ] && [ -d "$qtLib" ]
then then
/bin/cat<<INFO /bin/cat<<INFO
......
...@@ -2,14 +2,14 @@ ...@@ -2,14 +2,14 @@
# ========= | # ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox # \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration | # \\ / O peration |
# \\ / A nd | Copyright (C) 2016-2017 OpenCFD Ltd. # \\ / A nd | www.openfoam.com
# \\/ M anipulation | # \\/ M anipulation |
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# | Copyright (C) 2011 OpenFOAM Foundation # Copyright (C) 2011 OpenFOAM Foundation
# Copyright (C) 2016-2020 OpenCFD Ltd.
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# License # License
# This file is part of OpenFOAM, licensed under GNU General Public License # This file is part of OpenFOAM, distributed under GPL-3.0-or-later.
# <http://www.gnu.org/licenses/>.
# #
# File # File
# etc/tools/QtFunction # etc/tools/QtFunction
...@@ -35,7 +35,7 @@ createQtConf() ...@@ -35,7 +35,7 @@ createQtConf()
{ {
local confFile="$QT_ARCH_PATH/bin/qt.conf" local confFile="$QT_ARCH_PATH/bin/qt.conf"
if [ -n "$QT_ARCH_PATH" -a -d "$QT_ARCH_PATH/bin" ] if [ -n "$QT_ARCH_PATH" ] && [ -d "$QT_ARCH_PATH/bin" ]
then then
/bin/cat << QT_CONF > $confFile /bin/cat << QT_CONF > $confFile
[Paths] [Paths]
......
...@@ -326,6 +326,20 @@ requireWMakeToolchain() ...@@ -326,6 +326,20 @@ requireWMakeToolchain()
} }
# Require FOAM_EXT_LIBBIN for some compilations
requireExtLibBin()
{
[ -n "$FOAM_EXT_LIBBIN" ] || {
exec 1>&2
echo
echo "Error: \$FOAM_EXT_LIBBIN not set for '${0##*/}"
echo " Check your OpenFOAM environment and installation"
echo
exit 1
}
}
# grep for package http or ftp entries in BUILD.md # grep for package http or ftp entries in BUILD.md
# Should be of the form "[link xx]: http://..." # Should be of the form "[link xx]: http://..."
showDownloadHint() showDownloadHint()
...@@ -660,7 +674,7 @@ pkgconfigNewPrefix() ...@@ -660,7 +674,7 @@ pkgconfigNewPrefix()
[ -d "$dir/$libdir" ] || continue [ -d "$dir/$libdir" ] || continue
for i in $dir/$libdir/*.pc for i in $dir/$libdir/*.pc
do do
if [ -f "$i" -a ! -L "$i" ] if [ -f "$i" ] && [ ! -L "$i" ]
then then
nfiles="x$nfiles" nfiles="x$nfiles"
sed -i~ -e 's@^\(prefix=\).*$@\1'"$dir@" $i sed -i~ -e 's@^\(prefix=\).*$@\1'"$dir@" $i
...@@ -708,7 +722,7 @@ pkgconfigAdjust() ...@@ -708,7 +722,7 @@ pkgconfigAdjust()
[ -d "$dir/$libdir" ] || continue [ -d "$dir/$libdir" ] || continue
for i in $dir/$libdir/*.pc for i in $dir/$libdir/*.pc
do do
if [ -f "$i" -a ! -L "$i" ] if [ -f "$i" ] && [ ! -L "$i" ]
then then
nfiles="x$nfiles" nfiles="x$nfiles"
sed -i~ \ sed -i~ \
......
...@@ -26,8 +26,9 @@ ...@@ -26,8 +26,9 @@
if [ "$1" = "-test" ] if [ "$1" = "-test" ]
then then
[ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; } [ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; }
dir="${2%/}" # <- FFTW_ARCH_PATH dir="${2%/}" # <- *_ARCH_PATH
if [ -d "$dir/include" -a -r "$dir/lib$WM_COMPILER_LIB_ARCH/libadios2$EXT_SO" ] if [ -d "$dir/include" ] \
&& [ -r "$dir/lib$WM_COMPILER_LIB_ARCH/libadios2$EXT_SO" ]
then then
echo " adios2 include: $dir/include" echo " adios2 include: $dir/include"
echo " adios2 library: $dir/lib$WM_COMPILER_LIB_ARCH" echo " adios2 library: $dir/lib$WM_COMPILER_LIB_ARCH"
...@@ -59,6 +60,7 @@ usage() { ...@@ -59,6 +60,7 @@ usage() {
usage: ${0##*/} [OPTION] [adios-VERSION] usage: ${0##*/} [OPTION] [adios-VERSION]
options: options:
-force Force compilation, even if include/library already exists
-gcc Force use of gcc/g++ -gcc Force use of gcc/g++
-cmake PATH With cmake from the given path -cmake PATH With cmake from the given path
-help -help
...@@ -73,6 +75,8 @@ USAGE ...@@ -73,6 +75,8 @@ USAGE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler minimal # Minimal compiler info for CMake/configure exportCompiler minimal # Minimal compiler info for CMake/configure
unset optForce
# Parse options # Parse options
while [ "$#" -gt 0 ] while [ "$#" -gt 0 ]
do do
...@@ -80,6 +84,7 @@ do ...@@ -80,6 +84,7 @@ do
'') ;; # Ignore empty '') ;; # Ignore empty
-h | -help) usage ;; -h | -help) usage ;;
-gcc) useGcc ;; -gcc) useGcc ;;
-force) optForce=true ;;
-cmake) -cmake)
[ "$#" -ge 2 ] || die "'$1' option requires an argument" [ "$#" -ge 2 ] || die "'$1' option requires an argument"
...@@ -128,8 +133,9 @@ echo ...@@ -128,8 +133,9 @@ echo
# Needs future adjustment # Needs future adjustment
# - for mpi-specific library locations # - for mpi-specific library locations
if [ -f $ADIOS2_ARCH_PATH/include/adios2.h \ if [ -z "$optForce" ] \
-a -r $ADIOS2_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios2$EXT_SO ] && [ -f "$ADIOS2_ARCH_PATH/include/adios2.h" ] \
&& [ -r "$ADIOS2_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios2$EXT_SO" ]
then then
echo " ADIOS2 header in $ADIOS2_ARCH_PATH/include" echo " ADIOS2 header in $ADIOS2_ARCH_PATH/include"
echo " ADIOS2 libs in $ADIOS2_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH" echo " ADIOS2 libs in $ADIOS2_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH"
......
...@@ -21,9 +21,6 @@ ...@@ -21,9 +21,6 @@
# ---------------------------------------------- # ----------------------------------------------
# NO USER-CONFIGURABLE SETTINGS WITHIN THIS FILE # NO USER-CONFIGURABLE SETTINGS WITHIN THIS FILE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# Dynamic library ending (default is .so)
[ "$(uname -s)" = Darwin ] && EXT_SO=.dylib || EXT_SO=.so
# Run from third-party directory only # Run from third-party directory only
cd "${0%/*}" || exit cd "${0%/*}" || exit
wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || { wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || {
...@@ -31,11 +28,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || { ...@@ -31,11 +28,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || {
echo " Check your OpenFOAM environment and installation" echo " Check your OpenFOAM environment and installation"
exit 1 exit 1
} }
[ -n "$FOAM_EXT_LIBBIN" ] || {
echo "Error (${0##*/}) : \$FOAM_EXT_LIBBIN not set"
echo " Check your OpenFOAM environment and installation"
exit 1
}
. etc/tools/ThirdPartyFunctions . etc/tools/ThirdPartyFunctions
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
...@@ -97,6 +89,7 @@ do ...@@ -97,6 +89,7 @@ do
done done
requireWMakeToolchain requireWMakeToolchain
requireExtLibBin
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
# #
......
...@@ -45,6 +45,7 @@ usage() { ...@@ -45,6 +45,7 @@ usage() {
usage: ${0##*/} [OPTION] cmake-VERSION usage: ${0##*/} [OPTION] cmake-VERSION
options: options:
-force Force compilation, even if binary already exists
-gcc Force use of gcc/g++ -gcc Force use of gcc/g++
-link Create additional symlink as 'cmake-system' -link Create additional symlink as 'cmake-system'
-help -help
...@@ -59,7 +60,8 @@ USAGE ...@@ -59,7 +60,8 @@ USAGE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler # Compiler info for CMake/configure exportCompiler # Compiler info for CMake/configure
unset optLink unset optForce optLink
# Parse options # Parse options
while [ "$#" -gt 0 ] while [ "$#" -gt 0 ]
do do
...@@ -67,10 +69,9 @@ do ...@@ -67,10 +69,9 @@ do
'') ;; # Ignore empty '') ;; # Ignore empty
-h | -help) usage ;; -h | -help) usage ;;
-gcc) useGcc ;; -gcc) useGcc ;;
-force) optForce=true ;;
-link) optLink=true ;;
-link)
optLink=true
;;
cmake-[0-9]*) cmake-[0-9]*)
cmakePACKAGE="${1%%/}" cmakePACKAGE="${1%%/}"
;; ;;
...@@ -97,7 +98,9 @@ fi ...@@ -97,7 +98,9 @@ fi
CMAKE_SOURCE_DIR=$sourceBASE/$cmakePACKAGE CMAKE_SOURCE_DIR=$sourceBASE/$cmakePACKAGE
CMAKE_ARCH_PATH=$installBASE/$cmakePACKAGE CMAKE_ARCH_PATH=$installBASE/$cmakePACKAGE
if [ -d "$CMAKE_ARCH_PATH" -a -r "$CMAKE_ARCH_PATH/bin/cmake" ] if [ -z "$optForce" ] \
&& [ -d "$CMAKE_ARCH_PATH" ] \
&& [ -r "$CMAKE_ARCH_PATH/bin/cmake" ]
then then
echo "Already built: $cmakePACKAGE" echo "Already built: $cmakePACKAGE"
else else
...@@ -124,7 +127,7 @@ else ...@@ -124,7 +127,7 @@ else
} }
fi fi
if [ "$optLink" = true -a -x "$CMAKE_ARCH_PATH/bin/cmake" ] if [ "$optLink" = true ] && [ -x "$CMAKE_ARCH_PATH/bin/cmake" ]
then then
( (
cd "${CMAKE_ARCH_PATH%/*}" || exit cd "${CMAKE_ARCH_PATH%/*}" || exit
...@@ -135,7 +138,7 @@ then ...@@ -135,7 +138,7 @@ then
then then
exit 2 exit 2
fi fi
ln -svf $cmakePACKAGE cmake-system ln -svf "$cmakePACKAGE" cmake-system
) )
fi fi
......
...@@ -27,8 +27,9 @@ ...@@ -27,8 +27,9 @@
if [ "$1" = "-test" ] if [ "$1" = "-test" ]
then then
[ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; } [ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; }
dir="${2%/}" # <- FFTW_ARCH_PATH dir="${2%/}" # <- *_ARCH_PATH
if [ -d "$dir/include" -a -r "$dir/lib$WM_COMPILER_LIB_ARCH/libfftw3$EXT_SO" ] if [ -d "$dir/include" ] \
&& [ -r "$dir/lib$WM_COMPILER_LIB_ARCH/libfftw3$EXT_SO" ]
then then
echo " fftw include: $dir/include" echo " fftw include: $dir/include"
echo " fftw library: $dir/lib$WM_COMPILER_LIB_ARCH" echo " fftw library: $dir/lib$WM_COMPILER_LIB_ARCH"
...@@ -61,6 +62,7 @@ usage() { ...@@ -61,6 +62,7 @@ usage() {
usage: ${0##*/} [OPTION] [fftw-VERSION] [-- configure-options] usage: ${0##*/} [OPTION] [fftw-VERSION] [-- configure-options]
options: options:
-force Force compilation, even if include/library already exists
-gcc Force use of gcc/g++ -gcc Force use of gcc/g++
-help -help
...@@ -74,6 +76,8 @@ USAGE ...@@ -74,6 +76,8 @@ USAGE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler # Compiler info for CMake/configure exportCompiler # Compiler info for CMake/configure
unset optForce
# Parse options # Parse options
while [ "$#" -gt 0 ] while [ "$#" -gt 0 ]
do do
...@@ -82,6 +86,7 @@ do ...@@ -82,6 +86,7 @@ do
--) break;; # Extra configure options (leave on $@ for later detection) --) break;; # Extra configure options (leave on $@ for later detection)
-h | -help) usage ;; -h | -help) usage ;;
-gcc) useGcc ;; -gcc) useGcc ;;
-force) optForce=true ;;
fftw-[0-9]* | fftw_[0-9]* | fftw-system ) fftw-[0-9]* | fftw_[0-9]* | fftw-system )
fftwPACKAGE="${1%%/}" fftwPACKAGE="${1%%/}"
...@@ -121,7 +126,8 @@ fi ...@@ -121,7 +126,8 @@ fi
FFTW_SOURCE_DIR=$sourceBASE/$fftwPACKAGE FFTW_SOURCE_DIR=$sourceBASE/$fftwPACKAGE
FFTW_ARCH_PATH=$installBASE/$fftwPACKAGE FFTW_ARCH_PATH=$installBASE/$fftwPACKAGE
if [ -r "$FFTW_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libfftw3$EXT_SO" ] if [ -z "$optForce" ] \
&& [ -r "$FFTW_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libfftw3$EXT_SO" ]
then then
echo "Already has FFTW shared library" echo "Already has FFTW shared library"
else else
......
...@@ -43,6 +43,7 @@ usage() { ...@@ -43,6 +43,7 @@ usage() {
usage: ${0##*/} [OPTION] [lib|libso] [HYPRE-VERSION] [-- configure-options] usage: ${0##*/} [OPTION] [lib|libso] [HYPRE-VERSION] [-- configure-options]
options: options:
-force Force compilation, even if include/library already exists
-gcc Force use of gcc/g++ -gcc Force use of gcc/g++
-help -help
...@@ -56,6 +57,8 @@ USAGE ...@@ -56,6 +57,8 @@ USAGE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler # Compiler info for CMake/configure exportCompiler # Compiler info for CMake/configure
unset optForce
# Parse options # Parse options
while [ "$#" -gt 0 ] while [ "$#" -gt 0 ]
do do
...@@ -63,6 +66,7 @@ do ...@@ -63,6 +66,7 @@ do
'') ;; # Ignore empty '') ;; # Ignore empty
-h | -help) usage ;; -h | -help) usage ;;
-gcc) useGcc ;; -gcc) useGcc ;;
-force) optForce=true ;;
lib|libso) lib|libso)
targetType="$1" targetType="$1"
......
...@@ -27,7 +27,7 @@ ...@@ -27,7 +27,7 @@
if [ "$1" = "-test" ] if [ "$1" = "-test" ]
then then
[ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; } [ "$#" -eq 2 ] || { echo "${0##*/} -test : needs 1 argument"; exit 1; }
dir="${2%/}" # <- KAHIP_ARCH_PATH dir="${2%/}" # <- *_ARCH_PATH
if [ -d "$dir/include" ] if [ -d "$dir/include" ]
then then
for lib in \ for lib in \
...@@ -56,11 +56,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || { ...@@ -56,11 +56,6 @@ wmakeCheckPwd "$WM_THIRD_PARTY_DIR" 2>/dev/null || {
echo " Check your OpenFOAM environment and installation" echo " Check your OpenFOAM environment and installation"
exit 1 exit 1
} }
[ -n "$FOAM_EXT_LIBBIN" ] || {
echo "Error (${0##*/}) : \$FOAM_EXT_LIBBIN not set"
echo " Check your OpenFOAM environment and installation"
exit 1
}
. etc/tools/ThirdPartyFunctions . etc/tools/ThirdPartyFunctions
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
_foamConfig kahip _foamConfig kahip
...@@ -78,6 +73,7 @@ usage() ...@@ -78,6 +73,7 @@ usage()
Usage: ${0##*/} [OPTION] [lib|libso] [kahip-VERSION] Usage: ${0##*/} [OPTION] [lib|libso] [kahip-VERSION]
options: options:
-gcc Force use of gcc/g++ -gcc Force use of gcc/g++
-force Force build attempt (mingw)
-cmake PATH With cmake from the given path -cmake PATH With cmake from the given path
-help -help
...@@ -91,6 +87,8 @@ USAGE ...@@ -91,6 +87,8 @@ USAGE
#------------------------------------------------------------------------------ #------------------------------------------------------------------------------
exportCompiler minimal # Minimal compiler info for CMake/configure exportCompiler minimal # Minimal compiler info for CMake/configure
unset optForce
# Parse options # Parse options
while [ "$#" -gt 0 ] while [ "$#" -gt 0 ]
do do
...@@ -98,6 +96,7 @@ do ...@@ -98,6 +96,7 @@ do
'') ;; # Ignore empty '') ;; # Ignore empty
-h | -help) usage ;; -h | -help) usage ;;
-gcc) useGcc ;; -gcc) useGcc ;;
-force) optForce=true ;;
-cmake) -cmake)
[ "$#" -ge 2 ] || die "'$1' option requires an argument" [ "$#" -ge 2 ] || die "'$1' option requires an argument"
...@@ -133,7 +132,21 @@ then ...@@ -133,7 +132,21 @@ then
exit 0 exit 0
fi fi
# Known build issues for mingw (uses some non-portable headers)